List Subscriptions by Customer
curl --request GET \
--url https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/by-customer \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/by-customer"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/by-customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscriptions": [
{
"id": "sub_1ABC123DEF456GHI",
"type": "subscription",
"status": "active",
"cancelAtPeriodEndDisplay": null,
"customer": {
"id": "cus_ABC123XYZ",
"email": "customer@example.com"
},
"current_period_start": 1700000000,
"current_period_end": 1702600000,
"created": 1700000000,
"collection_method": "charge_automatically",
"cancel_at_period_end": false,
"canceled_at": null,
"product": {
"id": "prod_ABC123XYZ",
"name": "Pro Plan"
},
"automatic_tax": false,
"coupon": "",
"agents": "Agent 1, Agent 2"
}
],
"has_more": false,
"next_cursor": null
}{
"error": "An unexpected error occurred"
}Subscriptions
List Subscriptions by Customer
Retrieve subscriptions for a connected account filtered by customer.
GET
/
stripe
/
connect
/
accounts
/
{accountId}
/
subscriptions
/
by-customer
List Subscriptions by Customer
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The Stripe connected account ID
Query Parameters
Filter by Stripe customer ID. Either customerId or email is required.
Filter by customer email. Either email or customerId is required.
⌘I
